# $Revision: 1.21 $, $Date: 2012/04/20 10:36:36 $
%define		subver	beta4
%define		rel		4
Summary:	A traceroute implementation using TCP packets
Summary(pl.UTF-8):	Implementacja traceroute używająca pakietów TCP
Summary(ru.UTF-8):	tcptraceroute - это реализация traceroute при помощи TCP пакетов
Summary(uk.UTF-8):	tcptraceroute - це реалізація traceroute за допомогою TCP пакетів
Name:		tcptraceroute
Version:	1.5
Release:	0.%{subver}.%{rel}
License:	GPL v2
Group:		Applications/Networking
Source0:	http://michael.toren.net/code/tcptraceroute/%{name}-%{version}%{subver}.tar.gz
# Source0-md5:	d9068b69154515aced634d7000fe9675
URL:		http://michael.toren.net/code/tcptraceroute/
BuildRequires:	automake
BuildRequires:	libnet-devel
BuildRequires:	libpcap-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The more traditional traceroute(8) sends out either UDP or ICMP ECHO
packets with a TTL of one, and increments the TTL until the
destination has been reached. By printing the gateways that generate
ICMP time exceeded messages along the way, it is able to determine the
path packets are taking to reach the destination. It is a very useful
network diagnostic tool.

The problem is that with the widespread use of firewalls on the modern
Internet, many of the packets that traceroute(8) sends out end up
being filtered, making it impossible to completely trace the path to
the destination. However, in many cases, these firewalls will permit
inbound TCP packets to specific ports that hosts sitting behind the
firewall are listening for connections on. By sending out TCP SYN
packets instead of UDP or ICMP ECHO packets, tcptraceroute is able to
bypass the most common firewall filters.

%description -l pl.UTF-8
Bardziej tradycyjne traceroute(8) wysyłają pakiety UDP lub ICMP ECHO z
TTL równym jeden, i zwiększają TTL do osiągnięcia celu. Wypisując
bramki po drodze generujące komunikaty ICMP time exceeded, umożliwiają
określenie drogi pakietów. Są to bardzo przydatne narzędzia do
diagnostyki sieci.

Problemem jest rozpowszechnienie firewalli we współczesnym Internecie,
wiele pakietów wysyłanych przez traceroute(8) jest filtrowana,
uniemożliwiając całkowite prześledzenie drogi do celu. Jednak w wielu
przypadkach, te firewalle przepuszczają przychodzące pakiety TCP na
określone porty, na których słuchają maszyny za firewallem. Poprzez
wysyłnie pakietów TCP SYN zamiast UDP czy ICMP ECHO, tcptraceroute
może ominąć większość firewalli filtrujących.

%description -l uk.UTF-8
Завдяки тому, що tcptraceroute надсилає TCP SYN пакети замість UDP чи
ICMP ECHO пакетів, він може проходити через найбільш часто
встановлювані фільтри міжмережевих екранів (firewalls).

%description -l ru.UTF-8
Благодаря тому, что tcptraceroute посылает TCP SYN пакеты вместо UDP
или ICMP ECHO пакетов, он может проходить через наиболее часто
используемые фильтры межсетевых экранов (firewalls).

%prep
%setup -q -n %{name}-%{version}%{subver}

%build
cp -f /usr/share/automake/config.sub .
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d  $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}

install %{name} $RPM_BUILD_ROOT%{_sbindir}
install %{name}.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS examples.txt README
%attr(4754,root,adm) %{_sbindir}/%{name}
%{_mandir}/man8/%{name}.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tcptraceroute.spec,v $
Revision 1.21  2012/04/20 10:36:36  baggins
- release 4

Revision 1.20  2010/04/03 17:28:34  glen
- release 3

Revision 1.19  2007/02/12 22:09:17  glen
- tabs in preamble

Revision 1.18  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.17  2004/08/14 10:35:01  adamg
- release .2

Revision 1.16  2004/08/14 10:31:54  adamg
- refresh config.sub

Revision 1.15  2003/09/04 15:38:09  blues
- 1.5beta4 - official security release

Revision 1.14  2003/06/30 12:12:09  blues
- license changed, general fixes

Revision 1.13  2003/06/30 12:09:50  misi3k
- rel 0.2
- added security patch
BUG(securitytracker):
A potential security issue was reported in tcptraceroute.  The
application fails to drop its privileges.

Revision 1.12  2003/06/04 08:50:56  trojan
- updated to 1.5beta3

Revision 1.11  2003/05/28 13:02:13  malekith
- massive attack: source-md5

Revision 1.10  2003/05/25 06:27:13  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2002/09/05 23:15:50  undefine
- translations from uk/ru from KSI

Revision 1.8  2002/09/05 22:59:37  undefine
- updated to 1.4
- new %doc

Revision 1.7  2002/05/20 10:02:48  pioklo
- up to 1.3,STBR

Revision 1.6  2002/02/23 04:49:04  kloczek
- adapterized.

Revision 1.5  2002/02/22 23:29:47  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 02:15:09  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/12/19 10:18:27  qboosh
- pl translations, cosmetics; release 2

Revision 1.2  2001/08/13 14:23:13  kloczek
- cosmetics.

Revision 1.1  2001/08/13 09:24:05  mis
- new from scratch
